« part of build 4097  

Details for job 742a9aa3-82ad-48d0-9204-b5823999432b

failed

Name Linux x86_64 - system libs, clang
Success failed
Build Time 00:22:02
Git Head 58de5592b09b27e72ac087e84d3499908be303a6
PR 16698
Worker # 3
Base Image ubuntu1804_full_base

Pull request info

Pull# 16698
Title
Head
Mergable
Changes
Comments
User

Tasks time consumption

00:00:13 - GIT_CHECKOUT
00:12:10 - APT_INSTALL
00:00:00 - RESTORE_CACHE
00:00:19 - CONFIGURE
00:07:13 - COMPILE_AND_INSTALL
00:00:02 - UPDATE_CCACHE_CACHE
00:01:19 - RUN_UNIT_TESTS

Build log tail

                                             http_response = self.__conn.getresponse()
                                     File "/usr/lib/python3.6/http/client.py", line 1346, in getresponse
                                       response.begin()
                                     File "/usr/lib/python3.6/http/client.py", line 307, in begin
                                       version, status, reason = self._read_status()
                                     File "/usr/lib/python3.6/http/client.py", line 276, in _read_status
                                       raise RemoteDisconnected("Remote end closed connection without"
                                   http.client.RemoteDisconnected: Remote end closed connection without response
                                   During handling of the above exception, another exception occurred:
                                   Traceback (most recent call last):
                                     File "/home/ubuntu/src/test/functional/test_framework/test_framework.py", line 111, in main
                                       self.run_test()
                                     File "/home/ubuntu/src/test/functional/feature_maxuploadtarget.py", line 76, in run_test
                                       mine_large_block(self.nodes[0], self.utxo_cache)
                                     File "/home/ubuntu/src/test/functional/test_framework/util.py", line 574, in mine_large_block
                                       create_lots_of_big_transactions(node, txouts, utxos, num, fee=fee)
                                     File "/home/ubuntu/src/test/functional/test_framework/util.py", line 559, in create_lots_of_big_transactions
                                       signresult = node.signrawtransactionwithwallet(newtx, None, "NONE")
                                     File "/home/ubuntu/src/test/functional/test_framework/coverage.py", line 47, in __call__
                                       return_val = self.auth_service_proxy_instance.__call__(*args, **kwargs)
                                     File "/home/ubuntu/src/test/functional/test_framework/authproxy.py", line 139, in __call__
                                       response, status = self._request('POST', self.__url.path, postdata.encode('utf-8'))
                                     File "/home/ubuntu/src/test/functional/test_framework/authproxy.py", line 111, in _request
                                       self.__conn.request(method, path, postdata, headers)
                                     File "/usr/lib/python3.6/http/client.py", line 1254, in request
                                       self._send_request(method, url, body, headers, encode_chunked)
                                     File "/usr/lib/python3.6/http/client.py", line 1300, in _send_request
                                       self.endheaders(body, encode_chunked=encode_chunked)
                                     File "/usr/lib/python3.6/http/client.py", line 1249, in endheaders
                                       self._send_output(message_body, encode_chunked=encode_chunked)
                                     File "/usr/lib/python3.6/http/client.py", line 1036, in _send_output
                                       self.send(msg)
                                     File "/usr/lib/python3.6/http/client.py", line 974, in send
                                       self.connect()
                                     File "/usr/lib/python3.6/http/client.py", line 946, in connect
                                       (self.host,self.port), self.timeout, self.source_address)
                                     File "/usr/lib/python3.6/socket.py", line 724, in create_connection
                                       raise err
                                     File "/usr/lib/python3.6/socket.py", line 713, in create_connection
                                       sock.connect(sa)
                                   ConnectionRefusedError: [Errno 111] Connection refused
 test  2019-12-02T23:48:37.690000Z TestFramework (DEBUG): Closing down network thread 
 test  2019-12-02T23:48:37.740000Z TestFramework (INFO): Stopping nodes 
 test  2019-12-02T23:48:37.741000Z TestFramework.node0 (DEBUG): Stopping node 
 test  2019-12-02T23:48:37.741000Z TestFramework.node0 (ERROR): Unable to stop node. 
                                   Traceback (most recent call last):
                                     File "/home/ubuntu/src/test/functional/test_framework/test_node.py", line 247, in stop_node
                                       self.stop(wait=wait)
                                     File "/home/ubuntu/src/test/functional/test_framework/coverage.py", line 47, in __call__
                                       return_val = self.auth_service_proxy_instance.__call__(*args, **kwargs)
                                     File "/home/ubuntu/src/test/functional/test_framework/authproxy.py", line 139, in __call__
                                       response, status = self._request('POST', self.__url.path, postdata.encode('utf-8'))
                                     File "/home/ubuntu/src/test/functional/test_framework/authproxy.py", line 106, in _request
                                       self.__conn.request(method, path, postdata, headers)
                                     File "/usr/lib/python3.6/http/client.py", line 1254, in request
                                       self._send_request(method, url, body, headers, encode_chunked)
                                     File "/usr/lib/python3.6/http/client.py", line 1265, in _send_request
                                       self.putrequest(method, url, **skips)
                                     File "/usr/lib/python3.6/http/client.py", line 1118, in putrequest
                                       raise CannotSendRequest(self.__state)
                                   http.client.CannotSendRequest: Request-sent

 node0 stderr txmempool.h:116:50: runtime error: signed integer overflow: -4702111234474983746 + -4702111234474983746 cannot be represented in type 'long'
    #0 0x55d0bda9afa0 in CTxMemPoolEntry::GetModifiedFee() const /home/ubuntu/src/src/./txmempool.h:116:50
    #1 0x55d0bdc92dc9 in CTxMemPool::GetRebroadcastTransactions(std::vector<uint256, std::allocator<uint256> >&) /home/ubuntu/src/src/txmempool.cpp:121:65
    #2 0x55d0bd8d906f in PeerLogicValidation::SendMessages(CNode*) /home/ubuntu/src/src/net_processing.cpp:3838:33
    #3 0x55d0bd8e9f36 in non-virtual thunk to PeerLogicValidation::SendMessages(CNode*) /home/ubuntu/src/src/net_processing.cpp
    #4 0x55d0bd7f68fe in CConnman::ThreadMessageHandler() /home/ubuntu/src/src/net.cpp:2020:28
    #5 0x55d0bd880d81 in void std::__invoke_impl<void, void (CConnman::*&)(), CConnman*&>(std::__invoke_memfun_deref, void (CConnman::*&)(), CConnman*&) /usr/bin/../lib/gcc/x86_64-linux-gnu/7.4.0/../../../../include/c++/7.4.0/bits/invoke.h:73:14
    #6 0x55d0bd880b54 in std::__invoke_result<void (CConnman::*&)(), CConnman*&>::type std::__invoke<void (CConnman::*&)(), CConnman*&>(void (CConnman::*&)(), CConnman*&) /usr/bin/../lib/gcc/x86_64-linux-gnu/7.4.0/../../../../include/c++/7.4.0/bits/invoke.h:95:14
    #7 0x55d0bd880a67 in void std::_Bind<void (CConnman::*(CConnman*))()>::__call<void, , 0ul>(std::tuple<>&&, std::_Index_tuple<0ul>) /usr/bin/../lib/gcc/x86_64-linux-gnu/7.4.0/../../../../include/c++/7.4.0/functional:467:11
    #8 0x55d0bd8800e4 in void std::_Bind<void (CConnman::*(CConnman*))()>::operator()<, void>() /usr/bin/../lib/gcc/x86_64-linux-gnu/7.4.0/../../../../include/c++/7.4.0/functional:549:17
    #9 0x55d0bd8800e4 in std::_Function_handler<void (), std::_Bind<void (CConnman::*(CConnman*))()> >::_M_invoke(std::_Any_data const&) /usr/bin/../lib/gcc/x86_64-linux-gnu/7.4.0/../../../../include/c++/7.4.0/bits/std_function.h:316
    #10 0x55d0bd7a35d4 in std::function<void ()>::operator()() const /usr/bin/../lib/gcc/x86_64-linux-gnu/7.4.0/../../../../include/c++/7.4.0/bits/std_function.h:706:14
    #11 0x55d0bd7457ab in void TraceThread<std::function<void ()> >(char const*, std::function<void ()>) /home/ubuntu/src/src/./util/system.h:346:9
    #12 0x55d0bd8823ec in void std::__invoke_impl<void, void (*)(char const*, std::function<void ()>), char const*, std::function<void ()> >(std::__invoke_other, void (*&&)(char const*, std::function<void ()>), char const*&&, std::function<void ()>&&) /usr/bin/../lib/gcc/x86_64-linux-gnu/7.4.0/../../../../include/c++/7.4.0/bits/invoke.h:60:14
    #13 0x55d0bd8821ea in std::__invoke_result<void (*)(char const*, std::function<void ()>), char const*, std::function<void ()> >::type std::__invoke<void (*)(char const*, std::function<void ()>), char const*, std::function<void ()> >(void (*&&)(char const*, std::function<void ()>), char const*&&, std::function<void ()>&&) /usr/bin/../lib/gcc/x86_64-linux-gnu/7.4.0/../../../../include/c++/7.4.0/bits/invoke.h:95:14
    #14 0x55d0bd881fb1 in _ZNSt6thread8_InvokerISt5tupleIJPFvPKcSt8functionIFvvEEES3_S6_EEE9_M_invokeIJLm0ELm1ELm2EEEEDTclsr3stdE8__invokespcl10_S_declvalIXT_EEEEESt12_Index_tupleIJXspT_EEE /usr/bin/../lib/gcc/x86_64-linux-gnu/7.4.0/../../../../include/c++/7.4.0/thread:234:13
    #15 0x55d0bd881701 in std::thread::_Invoker<std::tuple<void (*)(char const*, std::function<void ()>), char const*, std::function<void ()> > >::operator()() /usr/bin/../lib/gcc/x86_64-linux-gnu/7.4.0/../../../../include/c++/7.4.0/thread:243:11
    #16 0x55d0bd881701 in std::thread::_State_impl<std::thread::_Invoker<std::tuple<void (*)(char const*, std::function<void ()>), char const*, std::function<void ()> > > >::_M_run() /usr/bin/../lib/gcc/x86_64-linux-gnu/7.4.0/../../../../include/c++/7.4.0/thread:186
    #17 0x7fd7826eb66e  (/usr/lib/x86_64-linux-gnu/libstdc++.so.6+0xbd66e)
    #18 0x55d0bd6b6d4e in __asan::AsanThread::ThreadStart(unsigned long, __sanitizer::atomic_uintptr_t*) (/home/ubuntu/src/src/bitcoind+0x1b9cd4e)
    #19 0x7fd78388c6da in start_thread (/lib/x86_64-linux-gnu/libpthread.so.0+0x76da)
    #20 0x7fd78199c88e in clone (/lib/x86_64-linux-gnu/libc.so.6+0x12188e)

SUMMARY: UndefinedBehaviorSanitizer: undefined-behavior txmempool.h:116:50 in 

TEST                                   | STATUS    | DURATION

feature_maxuploadtarget.py             | ✖ Failed  | 3 s

ALL                                    | ✖ Failed  | 3 s (accumulated) 
Runtime: 4 s


real    0m5.408s
user    0m2.576s
sys     0m0.604s
Build finished with exit code 1
#BUILD#742a9aa3-82ad-48d0-9204-b5823999432b#: 1